Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603222 - libevent: please update to version 1.4.14b
libevent: please update to version 1.4.14b
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libevent (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 19:18 EDT by Jose Pedro Oliveira
Modified: 2012-10-14 11:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-22 06:59:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2010-06-11 19:18:28 EDT
Description of problem:
Please update to the latest libevent stable upstream version (1.4.14)


Expected results:
libevent 1.4.14 in rawhide


Additional info:
Changes in 1.4.14-stable
 o Add a .gitignore file for the 1.4 branch. (d014edb)
 o Backport evbuffer_readln(). (b04cc60 Nicholas Marriott)
 o Make the evbuffer_readln backport follow the current API (c545485)
 o Valgrind fix: Clear struct kevent before checking for OSX bug. (5713d5d William Ahern)
 o Fix a crash when reading badly formatted resolve.conf (5b10d00 Yasuoka Masahiko)
 o Fix memory-leak of signal handler array with kqueue. [backport] (01f3775)
 o Update sample/signal-test.c to use newer APIs and not leak. (891765c Evan Jones)
 o Correct all versions in 1.4 branch (ac0d213)
 o Make evutil_make_socket_nonblocking() leave any other flags alone. (81c26ba Jardel Weyrich)
 o Adjusted fcntl() retval comparison on evutil_make_socket_nonblocking(). (5f2e250 Jardel Weyrich)
 o Correct a debug message in evhttp_parse_request_line (35df59e)
 o Merge branch 'readln-backport' into patches-1.4 (8771d5b)
 o Do not send an HTTP error when we've already closed or responded. (4fd2dd9 Pavel Plesov)
 o Re-add event_siglcb; some old code _was_ still using it. :( (bd03d06)
 o Make Libevent 1.4 build on win32 with Unicode enabled. (bce58d6 Brodie Thiesfield)
 o Distribute nmake makefile for 1.4 (20d706d)
 o do not fail while sending on http connections the client closed. (5c8b446)
 o make evhttp_send() safe against terminated connections, too (01ea0c5)
 o Fix a free(NULL) in min_heap.h (2458934)
 o Fix memory leak when setting up priorities; reported by Alexander Drozdov (cb1a722)
 o Clean up properly when adding a signal handler fails. (ae6ece0 Gilad Benjamini)
 o Do not abort HTTP requests missing a reason string. (29d7b32 Pierre Phaneuf)
 o Fix compile warning in http.c (906d573)
 o Define _REENTRANT as needed on Solaris, elsewhere (6cbea13)
Comment 1 Jose Pedro Oliveira 2010-06-18 12:04:03 EDT
Libevent 1.4.14a released.

 * [Libevent-users] libevent-1.4.14-stable release
   http://archives.seul.org/libevent/users/Jun-2010/msg00019.html

Bugfixes:
- Backport evbuffer_readln()
- Fix a crash when reading a badly formed resolved.conf
- Fix a memory leak of the signal handler array when using kqueue
- Make evutil_make_socket_nonblocking() leave all other flags alone
- Do not send an HTTP error when we've already closed or responded
- Make the library build on win32 with unicode enabled
- Provide an nmake file to build on Windows
- Fix a free(NULL) in min_heap.h
- Fix a memory leak when setting up prorities
- Do not abort HTTP requests missing a reason string
- Define _REENTRANT as needed on Solaris
Comment 2 Jose Pedro Oliveira 2010-06-20 23:30:15 EDT
Libevent 1.4.14b has been released:

Changelog:
Changes in 1.4.14b-stable
 o Set the VERSION_INFO correctly for 1.4.14

Additional info:
Re: [Libevent-users] BUG: libevent 1.4.14, wrong version info
http://archives.seul.org/libevent/users/Jun-2010/msg00022.html
Comment 3 Steve Dickson 2010-06-22 06:59:39 EDT
The build:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2264782

Note You need to log in before you can comment on or make changes to this bug.